org.apache.xml.serializer

## Interface ExtendedLexicalHandler

All Superinterfaces:
  LexicalHandler

All Known Subinterfaces:
  SerializationHandler

All Known Implementing Classes:
  AdaptiveResultTreeImpl, EmptySerializer, SerializerBase, SimpleResultTreeImpl, StringValueHandler, ToHTMLSAXHandler, ToHTMLStream, ToSAXHandler, ToStream, ToTextSAXHandler, ToTextStream, ToUnknownStream, ToXMLSAXHandler, ToXMLStream

    public interface ExtendedLexicalHandler
    extends LexicalHandler

This interface has extensions to the standard SAX LexicalHandler interface. This interface is intended to be used by a serializer.

Usage:
  **For internal use only**

### Method Summary

Methods
`void` `comment(java.lang.String comment)` This method is used to notify of a comment

### Methods inherited from interface org.xml.sax.ext.LexicalHandler

`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

### Method Detail

#### comment

    void comment(java.lang.String comment)
                 throws SAXException

This method is used to notify of a comment

Parameters:
  `comment` - the comment, but unlike the SAX comment() method this method takes a String rather than a character array.
Throws:
  `SAXException`